# clusters/atlas/flux-system/applications/veles/kustomization.yaml
apiVersion: kustomize.toolkit.fluxcd.io/v1
kind: Kustomization
metadata:
  name: veles
  namespace: flux-system
  annotations:
    kustomize.toolkit.fluxcd.io/ssa: IfNotPresent
spec:
  interval: 10m
  path: ./services/veles
  targetNamespace: veles
  prune: true
  sourceRef:
    kind: GitRepository
    name: flux-system
    namespace: flux-system
  dependsOn:
    - name: cert-manager
    - name: core
    - name: keycloak
    - name: longhorn
    - name: traefik
    - name: vault
    - name: vault-csi
    - name: vault-injector
  wait: false
  timeout: 20m
